<template>
    <div>
        <form class="login-form" @submit.prevent="handleSubmit">
        <div class="row">
            <div class="nine columns">
        <input type = "text" placeholder="Username" v-model="username" required>
            </div> 
        </div>
         <div class="row">
            <div class="nine columns">
        <input type = "password" placeholder="Password" v-model="pass" required>
            </div> 
        </div>
        <button class="button-primary" type="submit">Login</button>
        </form>
    </div>
</template>
<script>
import {httpClient} from "../api/httpclient"
import "../assets/normalize.css"
import "../assets/skeleton.css"

export default {
    data() {
        return {
            username : '',
            pass : ''
        }
        
    },
    methods: {
        handleSubmit(){
            const data = {
                username: this.username,
                password: this.pass
            }
            //console.log(httpClient.post, 'eqwe')
            // httpClient.httpClient.post(data)
            httpClient.post("/account/api/token/",data)
            .then((response) => {
                if (response.data.refresh) {
                    //console.log(response.data.refresh);
                    localStorage.setItem("access", response.data.access);
                    localStorage.setItem("refresh",response.data.refresh);
                    this.$store.dispatch("setIsAuth", true)
                    this.$router.push({name:"Articles"})}
                else {
                    alert("Wrong username or password!");
                }
                    });

            
        }
    }
}
</script>
<style scoped>
.login-form{
    padding-top:10%;
    display: grid;
    justify-content: center;
}
</style>

